org.apache.ignite.internal.cache.query.index.sorted.client

## Class AbstractClientIndex

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.AbstractIndex
  - - org.apache.ignite.internal.cache.query.index.sorted.client.AbstractClientIndex

All Implemented Interfaces:
  Index

Direct Known Subclasses:
  ClientInlineIndex

    public abstract class AbstractClientIndex
    extends AbstractIndex

Base class for all index implementations for Ignite client nodes. Client nodes don't persist any data, but they still need to know about indexes structures for planning of queries that starts on client nodes.

### Constructor Summary

Constructors
Constructor and Description
`AbstractClientIndex()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canHandle(CacheDataRow row)` Checks whether index handles specified cache row.
`void` `destroy(boolean softDelete)` Destroy index.
`void` `onUpdate(@Nullable CacheDataRow oldRow, @Nullable CacheDataRow newRow, boolean prevRowAvailable)` Callback that runs when the underlying cache is updated.
`IgniteException` `unsupported()`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.AbstractIndex

`markIndexRebuild, rebuildInProgress, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.Index

`id, name`

### Constructor Detail

#### AbstractClientIndex

    public AbstractClientIndex()

### Method Detail

#### canHandle

    public boolean canHandle(CacheDataRow row)

Checks whether index handles specified cache row.

Parameters:
  `row` - Cache row.
Returns:
  Whether index handles specified cache row

#### onUpdate

    public void onUpdate(@Nullable
                         @Nullable CacheDataRow oldRow,
                         @Nullable
                         @Nullable CacheDataRow newRow,
                         boolean prevRowAvailable)
                  throws IgniteCheckedException

Callback that runs when the underlying cache is updated.

Parameters:
  `oldRow` - Cache row that was replaced with newRow.
  `newRow` - Cache row that was stored.
  `prevRowAvailable` - Whether oldRow available.
Throws:
  `IgniteCheckedException`

#### destroy

    public void destroy(boolean softDelete)

Destroy index.

Parameters:
  `softDelete` - if `true` then perform logical deletion.

#### unsupported

    public IgniteException unsupported()

Returns:
  Exception about unsupported operation.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023